Subject: Re: [dtn-interest] prolem about the format of DTN administrative status
From: Alex McMahon <[email-masked]>
To: Zhongtian Jia <[email-masked]>
Cc: dtn-interest <[email-masked]>
Date: Fri, 30 Oct 2009 15:57:11 -0700
List-Id: Delay Tolerant Networking Interest List <dtn-interest.maillists.intel-research.net>

On Fri, 2009-10-23 at 10:54 +0800, Zhongtian Jia wrote: 

> Hi, 
>    In the section 3.6 of Delay-Tolerant Networking Architecture, the
> document writes: In addition, the architecture defines two types of
> administrative records: "status reports" and "signals".  These records
> are bundles that ....  Yet, In section 6.1 of Bundle Protocol
> Specification, documet says: Administrative records are standard
> application data units that are used in providing some of the features
> of the Bundle protocol.

The BP transforms ADUs into one or more protocol data units called
bundles , a bundle is a data unit of the bundle protocol.

>   ... Every adminstrative record consists of a four-bit record type
> code followed by four bits of administrative record flags ,followed by
> record content in type-specific format. Then the document give out the
> Bundle Status Report Format and Custody Signal Format in subsection 6.
> 1.1 and subsection 6.1.2 respectively. These descriptions  bewilders
> me very much.  Based on I understanding, I think the four-bit record
> type code, four bits of administrative record flags and record content
> in type-specific format consist a Bundle Status Record. The elements
> of the Bundle Status Record should be arranged in order. And the whole
> "Bundle Status Record" will be put at "Bundle Payload" field of a
> "Bundle Payload Block".  Is it right? 

Section 4.2 specifies the bit in positions 1 of the Bundle Processing Control Flags field of the primary bundle block is a flag that indicates the application data unit is an administrative record.

> 
> 
> Thanks
> 
> 
> --
> Yours sincerely,
> Zhongtian Jia
> 
> 
> 
> ______________________________________________________________________
> 
> 
> 
> 
> 网易历六年耗亿资打造，3D国韵网游《天下贰》，免费领光盘 
> 
> _______________________________________________
> dtn-interest mailing list
> [email-masked]
> http://maillists.intel-research.net/mailman/listinfo/dtn-interest